org.keycloak.dom.saml.v2.metadata

## Class IndexedEndpointType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.EndpointType
    - - org.keycloak.dom.saml.v2.metadata.IndexedEndpointType

-     public class IndexedEndpointType
      extends EndpointType

  Java class for IndexedEndpointType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IndexedEndpointType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:metadata}EndpointType">
             <attribute name="index" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedShort" />
             <attribute name="isDefault" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `index`
    `protected Boolean` | `isDefault`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.EndpointType

      `any, binding, location, responseLocation`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedEndpointType(URI binding, URI location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets the value of the index property.
    `Boolean` | `isIsDefault()` Gets the value of the isDefault property.
    `void` | `setIndex(int value)` Sets the value of the index property.
    `void` | `setIsDefault(Boolean value)` Sets the value of the isDefault property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.EndpointType

      `addObject, getAny, getBinding, getLocation, getResponseLocation, removeObject, setResponseLocation`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### index

          protected int index

    - #### isDefault

          protected Boolean isDefault

  - ### Constructor Detail

    - #### IndexedEndpointType

          public IndexedEndpointType(URI binding,
                                     URI location)

  - ### Method Detail

    - #### getIndex

          public int getIndex()

      Gets the value of the index property.

    - #### setIndex

          public void setIndex(int value)

      Sets the value of the index property.

    - #### isIsDefault

          public Boolean isIsDefault()

      Gets the value of the isDefault property.
      Returns:
        possible object is `Boolean`

    - #### setIsDefault

          public void setIsDefault(Boolean value)

      Sets the value of the isDefault property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2020 JBoss by Red Hat. All rights reserved.